Subject: bug#68583: 29.1; Can't find the cat manpage

From: Christopher Yeleighton <[email-masked]>
Date: Fri, 19 Jan 2024 12:05:03 +0000

In that case, the error message emitted by Emacs is wrong.  Emacs 
assumes that the man process failed for a particular reason, which is 
not the case.

On 19.01.2024 12:01, Eli Zaretskii wrote:
>> Cc: [email-masked]
>> Date: Fri, 19 Jan 2024 10:44:18 +0000
>> From: Christopher Yeleighton <[email-masked]>
>>
>> gxditview display is more accurate (most of the time) but it cannot mark
>> text, so it depends on the content.  Emacs could just unset MANOPT as
>> far as I am concerned.
> Emacs cannot just unset MANOPT, since that variable could specify
> command-line options for the 'man' command other than the ones you
> used.
>
> To avoid the problem you describe, I suggest to set MANOPT only in the
> init file of interactive shell, so that a non-interactive shell
> invoked by Emacs to run shell commands will be unaffected by MANOPT.
>
> I don't think this is an Emacs bug.